FreeMat

- Main Page
- Related Pages

vtkXMLPDataReader

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLPDataReader provides functionality common to all PVTK XML file readers. Concrete subclasses call upon this functionality when needed.

To create an instance of class vtkXMLPDataReader, simply invoke its constructor as follows

      obj = vtkXMLPDataReader

# Methods

The class vtkXMLPDataReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLPDataReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLPDataReader = obj.NewInstance ()`
- `vtkXMLPDataReader = obj.SafeDownCast (vtkObject o)`
- `int = obj.GetNumberOfPieces ()` - Get the number of pieces from the summary file being read.
- `obj.CopyOutputInformation (vtkInformation outInfo, int port)`